import { StepBeyondTime } from "./module/core.js";

Hooks.on('init', () => {
    game.settings.register("step_beyond_time", "buttonEnabled", {
        name: "Enable Time Control Button",
        hint: "Enable the Time Control button on regions",
        scope: "world",
        config: true,
        type: Boolean,
        default: true
    });
    StepBeyondTime.singletone = new StepBeyondTime();
});

Hooks.on('getSceneControlButtons', (controls) => {
    //controls.find(c => console.log(c.name));
    // Find the token control and add our custom button to it.
    const tokenControls = controls.find(c => c.name === "regions");
    if (game.settings.get("step_beyond_time", "buttonEnabled") && game.user.isGM) {
        tokenControls.tools.push({
        name: game.i18n.localize("SBT.name"),
        title: game.i18n.localize("SBT.name"),
        icon: 'fa-solid fa-clock',
        button: true,
        onClick: () => {
            // Add your custom functionality here
            StepBeyondTime.singletone.render(true);
        }
    });
}
});

